.pagina-localizacao {
    height: auto;
    padding: 10.729vw 13% 14vw;
    position: relative;
    background: rgb(91, 169, 221);
    background: linear-gradient(114deg, rgba(91, 169, 221, 1) 0%, rgba(57, 139, 195, 1) 100%);
    border-top: 5px solid #92b644;
    z-index: 1;
    overflow: hidden;
}

.nuvens {
    width: 101.4583vw;
    height: 10.2708vw;
    background: transparent url(../../restaurante-infantil/home/nuvens.webp) repeat-x;
    background-size: cover;
    position: absolute;
    right: 0px;
    top: 4.3229vw;
    bottom: 0;
    z-index: 1;
    animation: move-background 100s linear infinite;
}

@keyframes move-background {
    from {
        background-position: 0 0;
    }

    to {
        background-position: 101.4583vw 0;
    }
}

.grama {
    width: 100%;
    height: 100%;
    background: url(../../restaurante-infantil/background/bg-localizacao.webp);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: bottom;
    position: absolute;
    right: 0;
    bottom: 0;
    z-index: 2;
}

#localizacao {
    position: relative;
    z-index: 4;
}

#localizacao .titulo {
    font-family: "Titan One", sans-serif;
    color: #fff;
    font-size: 2.9167vw;
    text-align: center;
    margin-bottom: 1.0417vw;
}

#localizacao .titulo.titulo-2 {
    margin-top: 3vw;
}

#localizacao .texto {
    color: #fff;
    font-size: 1.0417vw;
    letter-spacing: 0.0521vw;
    font-weight: 700;
    text-align: center;
    margin-bottom: 1.3021vw;
}

#localizacao #gmap-holder {
    position: relative;
    margin-bottom: 5vw;
}

#localizacao iframe {
    border-radius: 20px;
}

#localizacao .mapa_botao {
    width: 15.3229vw;
    height: auto;
    bottom: -3%;
    position: absolute;
    left: calc(35% - 6.7708vw);
    transition: .3s;
}

#localizacao .waze_botao {
    width: 14.3229vw;
    height: auto;
    bottom: -3%;
    position: absolute;
    left: calc(63% - 6.7708vw);
    transition: .3s;
}

#localizacao .mapa_botao:hover,
#localizacao .waze_botao:hover {
    transform: scale(1.09);
}

#localizacao .horario {
    font-family: "Titan One", sans-serif;
    color: #fff;
    font-size: 1.4583vw;
    text-align: center;
    margin-bottom: 1.0417vw;
}

#localizacao .dias {
    font-family: "Titan One", sans-serif;
    color: #fff;
    font-size: 0.9375vw;
    text-align: center;
    margin-bottom: 1.0417vw;
}

#localizacao .confira {
    font-family: "Titan One", sans-serif;
    color: #fff;
    font-size: 1.9375vw;
    text-align: center;
    margin-bottom: 1.0417vw;
    margin-top: 8vw;
    position: relative;
}

#localizacao .confira::before {
    content: '';
    display: block;
    background-image: url(../../restaurante-infantil/geral/mascote-footer-1.webp);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: bottom;
    width: 16.229vw;
    height: 18.8333vw;
    position: absolute;
    top: -6vw;
    left: 2vw;
}


#localizacao .confira::after {
    content: '';
    display: block;
    background-image: url(../../restaurante-infantil/geral/mascote-footer-2.webp);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: bottom;
    width: 16.229vw;
    height: 18.8333vw;
    position: absolute;
    top: -6vw;
    right: 2vw;
}


#localizacao .confira span {
    display: block;
}

#localizacao .btn {
    display: block;
    position: absolute;
    margin-left: 52.3%;
    z-index: 9;
}

#localizacao .btn:nth-child(2n) {
    margin-left: 31.3%;
}

#localizacao .btn:nth-child(2n) .btn-inside {
    transform: rotate(3deg);
}

#localizacao .btn:nth-child(2n):hover .btn-inside {
    transform: rotate(0deg);
}

#localizacao .btn .btn-inside {
    font-family: "Titan One", sans-serif;
    color: #fff;
    font-size: 1.25vw;
    display: block;
    background-image: url(../../restaurante-infantil/background/botao-bg.webp);
    background-size: contain;
    padding: 1.1458vw 2.6875vw;
    width: 11.7188vw;
    background-repeat: no-repeat;
    transition: .3s ease-in-out;
    z-index: 2;
    position: relative;
}

#localizacao .btn:hover .btn-inside {
    transform: rotate(3deg);
}

#localizacao .btn::before {
    content: '';
    display: block;
    background-image: url(../../restaurante-infantil/home/botao-detalhe.webp);
    background-size: contain;
    background-repeat: no-repeat;
    width: 8.1771vw;
    height: 2.4479vw;
    position: absolute;
    top: 3.4375vw;
    left: 1.7708vw;
}


@media only screen and (max-width: 1440px) {
    #localizacao .horario {
        font-size: 24px;
        margin-bottom: 20px;
    }

    #localizacao .dias {
        font-size: 15px;
        margin-bottom: 15px;
    }

    #localizacao .waze_botao {
        width: 220px;
        left: calc(65% - 110px);
    }

    #localizacao .mapa_botao {
        width: 240px;
        left: calc(30% - 110px);
    }

    #localizacao #gmap-holder iframe {
        height: 500px;
    }
}

@media only screen and (max-width: 1366px) {
    .pagina-localizacao {
        padding: 10.729vw 10% 14vw;
    }

    #localizacao .texto {
        font-size: 14px;
        line-height: 20px;
    }

    #localizacao #gmap-holder iframe {
        height: 450px;
    }
}

/****** mobile *******/
@media only screen and (max-width: 1024px) {
    .pagina-localizacao {
        padding: 250px 5% 280px;
    }

    #localizacao .confira::before,
    #localizacao .confira::after {
        content: none;
    }

    .nuvens {
        width: 1946px;
        height: 200px;
        top: 160px;
    }

    .grama {
        top: auto;
        bottom: 0;
        height: 736px;
        background: url(../../restaurante-infantil/background/banner-bg-mobile.webp);
        background-size: auto;
        background-repeat: no-repeat;
        background-position: bottom;
    }

    #localizacao .titulo {
        font-size: 45px;
        margin-bottom: 20px;
    }

    #localizacao .titulo.titulo-2 {
        margin-top: 40px;
    }

    #localizacao .texto {
        font-size: 16px;
        letter-spacing: 1px;
        margin-bottom: 20px;
    }

    #localizacao #gmap-holder iframe {
        height: 595px;
    }

    #localizacao .mapa_botao {
        width: 260px;
        left: 0;
    }

    #localizacao .waze_botao {
        width: 240px;
        left: auto;
        right: 0;
    }

    #localizacao #gmap-holder {
        margin-bottom: 60px;
    }

    #localizacao .confira {
        font-size: 30px;
        margin-bottom: 30px;
    }

    #localizacao .btn {
        margin-left: 55.3%;
    }

    #localizacao .btn:nth-child(2n) {
        margin-left: 27.3%;
    }

    #localizacao .btn .btn-inside {
        font-size: 22px;
        width: 182px;
        padding: 16px 34px
    }

    #localizacao .btn::before {
        width: 150px;
        height: 47px;
        top: 46px;
        left: 17px;
    }
}

@media only screen and (max-width: 768px) {
    #localizacao .btn:nth-child(2n) {
        margin-left: 16.3%;
    }
}

@media only screen and (max-width: 600px) {
    #localizacao .btn:nth-child(2n) {
        margin-left: 10.3%;
    }
}

@media only screen and (max-width: 450px) {
    .pagina-localizacao {
        padding: 46vw 5% 280px;
    }

    #localizacao .titulo {
        font-size: 10vw;
    }

    #localizacao .texto {
        font-size: 14px;
        letter-spacing: 0.2222vw;
    }

    #localizacao #gmap-holder iframe {
        height: 132.2222vw;
    }

    #localizacao .waze_botao {
        width: 55.1111vw;
        left: 0;
        bottom: 15vw;
    }

    #localizacao .mapa_botao {
        width: 61.1111vw;
    }

    #localizacao .waze_botao:hover,
    #localizacao .mapa_botao:hover {
        transform: scale(1.05);
    }

    #localizacao .dias {
        font-size: 14px;
    }

    #localizacao .btn:nth-child(2n) {
        margin-left: 5.3%;
    }

    #localizacao .btn .btn-inside {
        font-size: 4.2222vw;
        width: 37.4444vw;
        padding: 3.2222vw 7.5556vw;
    }

    #localizacao .btn::before {
        width: 33.3333vw;
        height: 10.4444vw;
        top: 8.9vw;
        left: 1.8889vw;
    }


}